Subject: [Isms] Section 2.3 results

From: "David T. Perkins" <[email-masked]>
Date: Mon, 21 Feb 2005 17:10:32 -0800 (PST)

HI,

For all of us that have worked on SNMP over the years, we
much appreciate voluteer efforts that will lead to broader
deployment of the technology. And know from personal
experience that it is difficult and time consuming
to evaluate security aspects of a protocol. However,
I'm confused by the eval I-D. 
 
Reading through it, section 2.2 lists the goals. These
look in alignment with the WG charter. This is followed
by section 2.3 that says "How well proposals satisfy 
the goals described above can be evaluated by looking at
specific operational scenarios or use cases. ...."
This looks pretty reasonable. Section 2.4 (and its
contained subsections), then describe each proposal
at a high level so that the details of the proposal
do not have to be dug through. That seems reasonable.

Next comes section 3 with recommendations. Here, the
I-D writers seemed to get off track, and stated
several incorrect items. Not so good. For example,
section 3.2 says "The eval team recommends that
the WG adopt an approach that can accommodate
multiple security infrastructures concurrently.
The EUSM proposal was the clearest in this regard..."
This is CLEARLY not correct!

Now the conclusion, section 3.7 comes up, and I have
yet to see the evaluations called for in section 2.3.
Instead I found conformance with goals not listed in
section 2.2. That is, conformance with goals not found
in the ISMS WG charter. Thus, I do not see
how the eval authors came to their conclusion.
Because of this, I believe that the eval I-D
is fatally flawed, and should be discarded by
the WG.

The eval I-D does contain an interesting approach in
looking at the architectures of the proposals, and
this should be included, and extended in a replacement
eval I-D. The replacement must focuses on the PRIMARY goal
as stated in the WG charter. That is to create
a security model for SNMPv3 that will meet
the security and operational needs of network
administrators by eliminating the authentication
system specific to SNMPv3, and replacing it
with one that reuses the existing (not just one)
security infrastructures. The solution is
further constrained to maximize useability in operational
environments to achieve high deployment success and at
the same time minimize implementation and deployment
costs to minimize the time until deployment is possible.

Regards,
/david t. perkins

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms